claw::const_first< T1, T2 > Class Template Reference

Fuction object to get the first element of a std::pair. More...

`#include <functional.hpp>`

Inheritance diagram for claw::const_first< T1, T2 >:

## Public Member Functions

const T1 & | operator() (const std::pair< T1, T2 > &p) const

## Detailed Description

template<class T1, class T2>
class claw::const_first< T1, T2 >

Fuction object to get the first element of a std::pair.

Author
  Julien Jorge

Definition at line 59 of file functional.hpp.

## Member Function Documentation

## operator()()

template<class T1, class T2>

const T1 & claw::const_first< T1, T2 >::operator() | ( | const std::pair< T1, T2 > & | p | ) | const

inline

Definition at line 63 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp